#include "picsys18.h"

void
setup()
{
    pinMode(LED1, OUTPUT) ;
	digitalWrite(LED1, HIGH) ;
	
	CLCD_initDefault() ;
	
	USB_begin() ;
}

	
void
loop()
{
    int c ;

    if (USB_attached()) { // USB接続を確認
        while (USB_available()) {
            c = USB_getc() ;
            USB_putc(c) ;
            CLCD_putc(c) ;
            if (c == '\r') {
	            CLCD_clear() ;
                USB_putc('\n') ;
            }    
        }
    }

    digitalWrite(LED1, ((int)millis()) & 0x200) ; // ハートビート
}
